#
# @(#)S599cs00	1.7 99/11/19; SMI
#
# Launch X Input Method Server htt for using with cs00.
#

/bin/ps -e | /bin/grep cs00 > /dev/null
if [ $? = 0 ]
then
    if [ -x /usr/openwin/bin/htt -a -f /usr/openwin/lib/locale/ja/xim/xci.so ]
    then

	echo "htt.basiclocale: ja"  |/usr/openwin/bin/xrdb -m
	echo "*xci*csName:    cs00" |/usr/openwin/bin/xrdb -m

	# OpenWindows
	if [ "_$_sunximswm" = "_olwm" ]
	then
		LC_ALL=ja \
			XFILESEARCHPATH=/usr/openwin/lib/locale/ja/%T/%N%S \
			toolwait \
			/usr/openwin/bin/htt -if xci -lc_basiclocale ja
	# CDE
	else
		LC_ALL=ja \
			XFILESEARCHPATH=/usr/openwin/lib/locale/ja/%T/%N%S \
			/usr/openwin/bin/htt -if xci -nosm -lc_basiclocale ja
	fi

	DISABLE_MULTI_SCRIPT_IM=true; export DISABLE_MULTI_SCRIPT_IM
	unset DTSTARTIMS
    fi
fi
